/**
 ** fingersCntrlTaskCodels.c
 **
 ** Codels used by the control task fingersCntrlTask
 **
 ** Author: 
 ** Date: 
 **
 **/

#ifdef VXWORKS
# include <vxWorks.h>
#else
# include <portLib.h>
#endif
#include "server/fingersHeader.h"


/*------------------------------------------------------------------------
 * fingersOpenGripCntrl  -  control codel of CONTROL request OpenGrip
 *
 * Description:    
 * Report: OK
 *
 * Returns:    OK or ERROR
 */

STATUS
fingersOpenGripCntrl(int *report)
{
  SDI_F->command.command = FINGERS_OPEN;
  SDI_F->grasped = 0;

  return OK;
}

/*------------------------------------------------------------------------
 * fingersCloseGripCntrl  -  control codel of CONTROL request CloseGrip
 *
 * Description:    
 * Report: OK
 *
 * Returns:    OK or ERROR
 */

STATUS
fingersCloseGripCntrl(int *report)
{
  SDI_F->command.command = FINGERS_CLOSE;
  SDI_F->grasped = 1;
  SDI_F->cpt =0;
  return OK;
}


/*------------------------------------------------------------------------
 * fingersExchangeObjectHumanVsRobotCntrl  -  control codel of EXEC request ExchangeObjectHumanVsRobot
 *
 * Description:    
 * Report: OK
 *                 S_fingers_fingersExchangeObject
 *
 * Returns:    OK or ERROR
 */

STATUS
fingersExchangeObjectHumanVsRobotCntrl(int *report)
{
  /* ... add your code here ... */
  return OK;
}

